/api/v1/analytics/periodic-message-volume-by-role
GET
/api/v1/analytics/periodic-message-volume-by-role
const url = 'https://api.endless.zaia.app/api/v1/analytics/periodic-message-volume-by-role?granularity=hourly';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/analytics/periodic-message-volume-by-role?granularity=hourly'Retrieves periodic chat message volume split by contact, agent and support roles.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”granularity
required
The granularity of the analytics period.
string
The granularity of the analytics period.
rangeEnd
The end date of the analytics period.
string format: date-time
The end date of the analytics period.
rangeStart
The start date of the analytics period.
string format: date-time
The start date of the analytics period.
channelIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
responderIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
Responses
Seção intitulada “Responses”Periodic message volume by role retrieved successfully.
Media typeapplication/json
Array<object>
object
assistant
required
integer
periodEnd
required
string format: date-time
periodStart
required
string format: date-time
support
required
integer
total
required
integer
user
required
integer
Examplegenerated
[ { "assistant": 1, "periodEnd": "2026-04-15T12:00:00Z", "periodStart": "2026-04-15T12:00:00Z", "support": 1, "total": 1, "user": 1 }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}